GearmanJob::fail
GearmanJob::handle
GearmanJob
PHP Manual

# GearmanJob::functionName

(PECL gearman >= 0.5.0)

GearmanJob::functionName — Get function name

### Description

public string GearmanJob::functionName ( void )

Returns the function name for this job. This is the function the work will execute to perform the job.

### Parameters

This function has no parameters.

### Return Values

The name of a function.

### See Also

- GearmanTask::function - Get associated function name (deprecated)

GearmanJob::fail
GearmanJob::handle
GearmanJob
PHP Manual